package robot.mj.info;

import taurus.client.TaurusClient;

/**
 * 机器人房间信息类
 */
public class RobotUser {
    private String connecId;
    private int userId;
    private String robotId;

    private int seat;
    public int status; //工作状态 0,1:等待，2:干活
    public boolean isconnect = false; //是否连接上
    public int intoRoomTime; //进入房间时间戳
    public String password;
    public String gameHost;
    public String gamePort;
    public String robotGroupid;
    public String robotPid;
    public boolean isLogin = false;
    private String token;
    private String loginsession;
    public int currentRoomId;//当前房间id
    public TaurusClient client = null;

    public TaurusClient getClient() {
        return client;
    }

    public void setClient(TaurusClient client) {
        this.client = client;
    }

    public int getCurrentRoomId() {
        return currentRoomId;
    }

    public void setCurrentRoomId(int currentRoomId) {
        this.currentRoomId = currentRoomId;
    }

    public String getLoginsession() {
        return loginsession;
    }

    public void setLoginsession(String loginsession) {
        this.loginsession = loginsession;
    }

    public boolean getIsLogin() {
        return isLogin;
    }

    public void setIsLogin(boolean login) {
        isLogin = login;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getGameHost() {
        return gameHost;
    }

    public void setGameHost(String gameHost) {
        this.gameHost = gameHost;
    }

    public String getGamePort() {
        return gamePort;
    }

    public void setGamePort(String gamePort) {
        this.gamePort = gamePort;
    }

    public String getRobotGroupid() {
        return robotGroupid;
    }

    public void setRobotGroupid(String robotGroupid) {
        this.robotGroupid = robotGroupid;
    }

    public String getRobotPid() {
        return robotPid;
    }

    public void setRobotPid(String robotPid) {
        this.robotPid = robotPid;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public int getIntoRoomTime() {
        return intoRoomTime;
    }

    public void setIntoRoomTime(int intoRoomTime) {
        this.intoRoomTime = intoRoomTime;
    }

    public boolean getIsconnect() {
        return isconnect;
    }

    public void setIsconnect(boolean isconnect) {
        this.isconnect = isconnect;
    }

    public int getSeat() {
        return seat;
    }

    public void setSeat(int seat) {
        this.seat = seat;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getConnecId() {
        return connecId;
    }

    public void setConnecId(String connecId) {
        this.connecId = connecId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public String getRobotId() {
        return robotId;
    }

    public void setRobotId(String robotId) {
        this.robotId = robotId;
    }

}
